import partial from 'lodash.partial';
import { withSecretsManager, setSecretsManager } from './with-secrets-manager';
import { shouldReturn } from './should-return';
import { not } from './not';
export var as = function as(context, authToken) {
  var environment = context.environment;

  if (environment.isExecuted()) {
    throw Error("Authorization token cannot be assigned if the test was executed.");
  }

  environment.setAuthToken(authToken);
  return Object.assign(environment.promise, {
    withSecretsManager: partial(withSecretsManager, context),
    setSecretsManager: partial(setSecretsManager, context),
    shouldReturn: partial(shouldReturn, context),
    not: partial(not, context)
  });
};
//# sourceMappingURL=as.js.map