"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.setSecretsManager = exports.withSecretsManager = void 0;

var _lodash = _interopRequireDefault(require("lodash.partial"));

var _shouldProduceEvent = require("./should-produce-event");

var _shouldThrow = require("./should-throw");

var _as = require("./as");

var withSecretsManager = function withSecretsManager(context, manager) {
  var environment = context.environment;

  if (environment.isExecuted()) {
    throw Error("Secrets manager cannot be assigned if the test was executed.");
  }

  environment.setSecretsManager(manager);
  return Object.assign(environment.promise, {
    shouldProduceEvent: (0, _lodash["default"])(_shouldProduceEvent.shouldProduceEvent, context),
    shouldThrow: (0, _lodash["default"])(_shouldThrow.shouldThrow, context),
    as: (0, _lodash["default"])(_as.as, context)
  });
}; // FIXME: deprecated


exports.withSecretsManager = withSecretsManager;

var setSecretsManager = function setSecretsManager(context, manager) {
  // eslint-disable-next-line no-console
  console.warn("'setSecretsManager' selector deprecated, you should use 'withSecretsManager' selector instead.");
  return withSecretsManager(context, manager);
};

exports.setSecretsManager = setSecretsManager;
//# sourceMappingURL=with-secrets-manager.js.map